## START: Set by rpmautospec
## (rpmautospec version 0.7.3)
## RPMAUTOSPEC: autorelease, autochangelog
%define autorelease(e:s:pb:n) %{?-p:0.}%{lua:
    release_number = 6;
    base_release_number = tonumber(rpm.expand("%{?-b*}%{!?-b:1}"));
    print(release_number + base_release_number - 1);
}%{?-e:.%{-e*}}%{?-s:.%{-s*}}%{!?-n:%{?dist}}
## END: Set by rpmautospec

%global pypi_name extractcode-libarchive
%global pypi_name_with_underscore %(echo "%{pypi_name}" | sed "s/-/_/g")

Name:           python-%{pypi_name}
Version:        21.5.31
Release:        %autorelease
Summary:        ScanCode Toolkit plugin to use pre-installed libarchive library

# LICENSE.txt is only if we bundle
License:        Apache-2.0
URL:            https://github.com/nexB/scancode-plugins
# wget https://github.com/nexB/scancode-plugins/archive/v21.5.31/scancode-plugins-21.5.31.tar.gz
# tar xvf scancode-plugins-21.5.31.tar.gz
# pushd scancode-plugins-21.5.31
# find . ! \( -name builtins -o -name extractcode_libarchive_system_provided \) -maxdepth 1 -exec rm -rvf {} \;
# mv builtins/extractcode_libarchive_system_provided/* ./
# rm -rfv builtins/
# popd
# mv scancode-plugins-21.5.31 extractcode-libarchive-21.5.31
# tar czf extractcode-libarchive-21.5.31.tar.gz extractcode-libarchive-21.5.31
# rm -rfv extractcode-libarchive-21.5.31
# rm -rfv scancode-plugins-21.5.31.tar.gz
Source:         %{pypi_name}-%{version}.tar.gz
Patch:          0001-Fix-Linux-distribution-detection.patch

BuildArch:      noarch
BuildRequires:  python3-devel
BuildRequires:  python3dist(plugincode)

%global common_description %{expand:
The path of libarchive.so is either determined by distro data or explicitily
taken from EXTRACTCODE_LIBARCHIVE_PATH environment variable.}

%description %{common_description}

%package -n python3-%{pypi_name}
Summary:        %{summary}
Requires:       libarchive-devel

%description -n python3-%{pypi_name} %{common_description}


%prep
%autosetup -p1 -n %{pypi_name}-%{version}

%generate_buildrequires
%pyproject_buildrequires

%build
%pyproject_wheel

%install
%pyproject_install
%pyproject_save_files %{pypi_name_with_underscore}

%check
%pyproject_check_import

%files -n python3-%{pypi_name} -f %{pyproject_files}
%doc README.rst

%changelog
## START: Generated by rpmautospec
* Sat Jan 18 2025 Fedora Release Engineering <releng@fedoraproject.org> - 21.5.31-6
- Rebuilt for https://fedoraproject.org/wiki/Fedora_42_Mass_Rebuild

* Fri Jul 19 2024 Fedora Release Engineering <releng@fedoraproject.org> - 21.5.31-5
- Rebuilt for https://fedoraproject.org/wiki/Fedora_41_Mass_Rebuild

* Fri Jun 07 2024 Python Maint <python-maint@redhat.com> - 21.5.31-4
- Rebuilt for Python 3.13

* Fri Jan 26 2024 Fedora Release Engineering <releng@fedoraproject.org> - 21.5.31-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_40_Mass_Rebuild

* Mon Jan 22 2024 Fedora Release Engineering <releng@fedoraproject.org> - 21.5.31-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_40_Mass_Rebuild

* Wed Nov 01 2023 Robert-André Mauchin <zebob.m@gmail.com> - 21.5.31-1
- Initial import
## END: Generated by rpmautospec
